## org.apache.naming.factory
Class TyrexResourceFactory

    java.lang.Object
      org.apache.naming.factory.TyrexFactory
          org.apache.naming.factory.TyrexResourceFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class TyrexResourceFactory
extends TyrexFactory

Object factory for Tyrex Resources.
This class retrieves Tyrex resources that are configured in the TransactionDomain. The type of Resource returned is specified in Tyrex's domain configuration file. Tyrex is an open-source transaction manager, developed by Assaf Arkin and exolab.org. See the Tyrex homepage for more details about Tyrex and downloads.

Version:
  $Revision: 1.2 $ $Date: 2004/08/26 21:44:37 $
Author:
  David Haraburda

Field Summary
`static java.lang.String` `DEFAULT_RESOURCE_NAME`
`static java.lang.String` `RESOURCE_NAME`

Constructor Summary
`TyrexResourceFactory()`

Method Summary
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Create a new Resource instance.

Methods inherited from class org.apache.naming.factory.TyrexFactory
`getTransactionDomain`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCE_NAME

    public static final java.lang.String RESOURCE_NAME

See Also:
  Constant Field Values

### DEFAULT_RESOURCE_NAME

    public static final java.lang.String DEFAULT_RESOURCE_NAME

See Also:
  Constant Field Values

Constructor Detail

### TyrexResourceFactory

    public TyrexResourceFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws javax.naming.NamingException

  Create a new Resource instance. The type of Resource is dependant upon Tyrex's domain configuration.

  Parameters:
    `obj` - The reference object describing the Resource
  Throws:
    `javax.naming.NamingException`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.